# -*- coding: utf-8 -*-
import uno
import re ,urllib

wrapper = uno.createUnoStruct('com.sun.star.script.ArrayWrapper')
wrapper.IsZeroIndex = False

nodes = ['Latitude','Longitude','Address','City','Result precision="']
regex = r'''(?:{4}|{0}>|{1}>|{2}>|{3}>)(.+?)(?:">|</{0}|</{1}|</{2}|</{3})'''.format( *nodes )
geourl = """http://local.yahooapis.com/MapsService/V1/geocode?appid=XXXXXXXXX&location={0:}""".format
pat = re.compile( regex )

def geoinfo( adresse ):
    request = urllib.urlopen(geourl( adresse.encode('utf8') ))
    xml = request.read().decode('utf8')
    request.close()
    relist = pat.findall( xml )
    return " ".join( relist )
    # oder Ausgabe in 4 Zellen untereinander:
    #relist = tuple((elem.encode('utf8'),) for elem in relist)
    #wrapper.Array = relist
    #return wrapper
